qpid-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From g...@apache.org
Subject svn commit: r1535750 - in /qpid/trunk/qpid/cpp/src/tests: CMakeLists.txt run_paged_queue_tests
Date Fri, 25 Oct 2013 14:26:02 GMT
Author: gsim
Date: Fri Oct 25 14:26:02 2013
New Revision: 1535750

URL: http://svn.apache.org/r1535750
Log:
QPID-4927: paged queue tests take too long under valgrind, so run them separately

Modified:
    qpid/trunk/qpid/cpp/src/tests/CMakeLists.txt
    qpid/trunk/qpid/cpp/src/tests/run_paged_queue_tests

Modified: qpid/trunk/qpid/cpp/src/tests/CMakeLists.txt
URL: http://svn.apache.org/viewvc/qpid/trunk/qpid/cpp/src/tests/CMakeLists.txt?rev=1535750&r1=1535749&r2=1535750&view=diff
==============================================================================
--- qpid/trunk/qpid/cpp/src/tests/CMakeLists.txt (original)
+++ qpid/trunk/qpid/cpp/src/tests/CMakeLists.txt Fri Oct 25 14:26:02 2013
@@ -321,16 +321,16 @@ add_test (qpid-client-test ${test_wrap} 
 add_test (quick_perftest ${test_wrap} ${qpid-perftest_LOCATION} --summary --count 100)
 add_test (quick_topictest ${test_wrap} ${CMAKE_CURRENT_SOURCE_DIR}/quick_topictest${test_script_suffix})
 add_test (quick_txtest ${test_wrap} ${qpid-txtest_LOCATION} --queues 4 --tx-count 10 --quiet)
-if (NOT CMAKE_SYSTEM_NAME STREQUAL Windows)
-  # paged queue not yet implemented for windows
-  add_test (paged_queue_tests ${shell} ${CMAKE_CURRENT_SOURCE_DIR}/run_paged_queue_tests${test_script_suffix})
-endif (NOT CMAKE_SYSTEM_NAME STREQUAL Windows)
 add_test (msg_group_tests ${shell} ${CMAKE_CURRENT_SOURCE_DIR}/run_msg_group_tests${test_script_suffix})
 if (PYTHON_EXECUTABLE)
   add_test (run_header_test ${shell} ${CMAKE_CURRENT_SOURCE_DIR}/run_header_test${test_script_suffix})
   add_test (python_tests ${test_wrap} ${CMAKE_CURRENT_SOURCE_DIR}/python_tests${test_script_suffix})
 endif (PYTHON_EXECUTABLE)
 add_test (stop_broker ${test_wrap} ${CMAKE_CURRENT_SOURCE_DIR}/stop_broker${test_script_suffix})
+if (NOT CMAKE_SYSTEM_NAME STREQUAL Windows)
+  # paged queue not yet implemented for windows
+  add_test (paged_queue_tests ${shell} ${CMAKE_CURRENT_SOURCE_DIR}/run_paged_queue_tests${test_script_suffix})
+endif (NOT CMAKE_SYSTEM_NAME STREQUAL Windows)
 if (PYTHON_EXECUTABLE)
   add_test (ha_tests ${test_wrap} ${CMAKE_CURRENT_SOURCE_DIR}/ha_tests.py)
   add_test (qpidd_qmfv2_tests ${test_wrap} ${CMAKE_CURRENT_SOURCE_DIR}/qpidd_qmfv2_tests.py)

Modified: qpid/trunk/qpid/cpp/src/tests/run_paged_queue_tests
URL: http://svn.apache.org/viewvc/qpid/trunk/qpid/cpp/src/tests/run_paged_queue_tests?rev=1535750&r1=1535749&r2=1535750&view=diff
==============================================================================
--- qpid/trunk/qpid/cpp/src/tests/run_paged_queue_tests (original)
+++ qpid/trunk/qpid/cpp/src/tests/run_paged_queue_tests Fri Oct 25 14:26:02 2013
@@ -21,12 +21,19 @@
 
 #setup path to find qpid-config and sender/receiver test progs
 source ./test_env.sh
+trap stop_broker INT TERM QUIT
 
 export PATH=$PWD:$srcdir:$PYTHON_COMMANDS:$PATH
 
-#set port to connect to via env var
-test -s qpidd.port && QPID_PORT=`cat qpidd.port`
-export QPID_PORT
+start_broker() {
+    QPID_PORT=$($QPIDD_EXEC --daemon --port 0 --interface 127.0.0.1 --no-data-dir $MODULES
--auth no) || fail "Could not start broker"
+}
 
+stop_broker() {
+    $QPIDD_EXEC -q --port $QPID_PORT
+}
+
+start_broker
 qpid-cpp-benchmark --broker "localhost:$QPID_PORT" --create-option "node:{x-declare:{arguments:{'qpid.paging':True,'qpid.max_size':0,'qpid.max_count':0,'qpid.flow_stop_size':0,'qpid.flow_resume_size':0,'qpid.flow_stop_count':0,'qpid.flow_resume_count':0}}}"
-qpid-cpp-benchmark --broker "localhost:$QPID_PORT" --create-option "node:{x-declare:{arguments:{'qpid.paging':True,'qpid.max_size':0,'qpid.max_count':0,'qpid.flow_stop_size':0,'qpid.flow_resume_size':0,'qpid.flow_stop_count':0,'qpid.flow_resume_count':0}}}"
--fill-drain
\ No newline at end of file
+qpid-cpp-benchmark --broker "localhost:$QPID_PORT" --create-option "node:{x-declare:{arguments:{'qpid.paging':True,'qpid.max_size':0,'qpid.max_count':0,'qpid.flow_stop_size':0,'qpid.flow_resume_size':0,'qpid.flow_stop_count':0,'qpid.flow_resume_count':0}}}"
--fill-drain
+stop_broker



---------------------------------------------------------------------
To unsubscribe, e-mail: commits-unsubscribe@qpid.apache.org
For additional commands, e-mail: commits-help@qpid.apache.org


Mime
View raw message